Bug 703718 - [Usability] improve the layout the test case-run in run
[Usability] improve the layout the test case-run in run
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: June Zhang
tools-bugs
: Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-11 03:49 EDT by Danqing Li
Modified: 2015-03-04 18:38 EST (History)
10 users (show)

See Also:
Fixed In Version: 3.5.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
3.5.0-1 FAIL (81.00 KB, image/png)
2011-07-13 21:57 EDT, Jin Zhao
no flags Details

  None (edit)
Description Danqing Li 2011-05-11 03:49:01 EDT
Description of problem:

  - Comments for cases in runs accessible on request
           - less scrolling and mouse moving on page when changing status of run
           - we comment in minority of cases


 - Description for cases in runs accessible on request
           - optional, user can read details in plan
           - current state: plan-01, run-01

           - possible fix: run-01-fix3


Actual results:

The test case-run's layout need to improve ,not it take much area and waste user's scrolling. 


Expected results:

change the layout :
1. easy for user to : change status, add/delete comment , file bug , add attachment. etc.
2. better not big change.  let user feel familiar with the new layout.
3. reduce the hight of every test case-run.


Additional info:

from : https://docspace.corp.redhat.com/docs/DOC-59950
reported by : Rostislav Svoboda
Comment 1 Jin Zhao 2011-07-13 21:57:05 EDT
Created attachment 512777 [details]
3.5.0-1 FAIL

Verify 3.5.1-1 on stage. -->FAIL

I suggest to improve the change log.
Refer to attachment.
1.After Click show all, The "show all" change to "hide all"
2.The change action at the same time should range to one log rather than three
Comment 2 Chaobin Tang 2011-07-19 02:57:44 EDT
commit 5d545f83132f800070f9e8a9d2a581824947721e

Rewrote the toggleDiv function replace the showdiv. Now the link text will also toggle.

#2 is not incorporated.
Comment 3 Guoping Feng 2011-07-20 06:52:04 EDT
Verify 3.5.0-3 on stage -->PASS

Verify steps:
1.Enter into a run
2.Choose any case run and change its status.
3.Check the change log.

Actual results:
Click "Show All" to list the log, the tab is changed to "Hide All". Click "Hide All", then the log is hidden.

"2.The change action at the same time should range to one log rather than three" is not realized.

Note You need to log in before you can comment on or make changes to this bug.